import {Command} from 'substance'

class TrackChangeControlViewCommand extends Command {
  getCommandState (params) {
    // console.log(params)
    let newState = {
      disabled: false,
      active: false
    }

    return newState
  }
  execute (params, context) {
    const surface = context.surfaceManager.getSurface('body')
    surface.send('trackChangesViewUpdate')
    surface.rerender()
    return true
  }
}

TrackChangeControlViewCommand.type = 'track-change-toggle-view'

export default TrackChangeControlViewCommand
